cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Berin Loritsch <blorit...@d-haven.org>
Subject Future compatibility warning
Date Wed, 09 Jun 2004 16:18:56 GMT
Just before I switch off to going pure Java 1.4 with the cocoon build, I
thought I would warn you of a future compatibility issue:

     [javac] 
F:\projects\cocoon-2.1.5\src\java\org\apache\cocoon\xml\dom\DocumentWrapper.java:48: 
org.apache.cocoon.xml.dom.DocumentWrapper is not abstract and does not 
override abstract method 
renameNode(org.w3c.dom.Node,java.lang.String,java.lang.String) in 
org.w3c.dom.Document
     [javac] public class DocumentWrapper implements 
org.w3c.dom.Document, XMLizable {
     [javac]        ^
     [javac] 1 error

In other words, in Java 1.5 there will be a new method on
org.w3c.dom.Document named "renameNode(Node, String, String)"

It would probably be worth it just to add this method to our wrapper,
and have it do nothing--that way there won't be any issues whatsoever.

-- 

"Programming today is a race between software engineers striving to 
build bigger and better idiot-proof programs, and the Universe trying to 
produce bigger and better idiots. So far, the Universe is winning."
                 - Rich Cook


Mime
View raw message